[SCM] The rsync repository. - branch master updated

Rsync CVS commit messages rsync-cvs at lists.samba.org
Wed Jan 1 11:37:56 MST 2014


The branch, master has been updated
       via  1b29458 Adding rsync-no-vanished script for bug 10356.
      from  d3414a7 Warn about lack of yodl2man at end of configure run.

;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 1b29458ea404da41dfb8b668351909be1221a6e9
Author: Wayne Davison <wayned at samba.org>
Date:   Wed Jan 1 10:35:08 2014 -0800

    Adding rsync-no-vanished script for bug 10356.

-----------------------------------------------------------------------

Summary of changes:
 support/rsync-no-vanished |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)
 create mode 100755 support/rsync-no-vanished


Changeset truncated at 500 lines:

diff --git a/support/rsync-no-vanished b/support/rsync-no-vanished
new file mode 100755
index 0000000..1cce75c
--- /dev/null
+++ b/support/rsync-no-vanished
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+IGNOREEXIT=24
+IGNOREOUT='^(file has vanished: |rsync warning: some files vanished before they could be transferred)'
+
+set -o pipefail
+
+rsync "${@}" 2>&1 | (egrep -v "$IGNOREOUT" || true)
+ret=$?
+
+if [[ $ret == $IGNOREEXIT ]]; then
+    ret=0
+fi
+
+exit $ret


-- 
The rsync repository.


More information about the rsync-cvs mailing list